/**
 * 
 */
package demo;

import org.springframework.transaction.PlatformTransactionManager;
import org.springframework.transaction.TransactionDefinition;
import org.springframework.transaction.TransactionException;
import org.springframework.transaction.TransactionStatus;

/**
 * Un exemple de décorateur.
 * @author rosmord
 *
 */
public class DemoTransactionManager implements PlatformTransactionManager {

	PlatformTransactionManager implementation;
	
	
	/**
	 * @return the implementation
	 */
	public PlatformTransactionManager getImplementation() {
		return implementation;
	}

	/**
	 * @param implementation the implementation to set
	 */
	public void setImplementation(PlatformTransactionManager implementation) {
		this.implementation = implementation;
	}

	/* (non-Javadoc)
	 * @see org.springframework.transaction.PlatformTransactionManager#commit(org.springframework.transaction.TransactionStatus)
	 */
	public void commit(TransactionStatus status) throws TransactionException {
		System.out.println("DOING COMMIT "+ status);
		implementation.commit(status);
	}

	/* (non-Javadoc)
	 * @see org.springframework.transaction.PlatformTransactionManager#getTransaction(org.springframework.transaction.TransactionDefinition)
	 */
	public TransactionStatus getTransaction(TransactionDefinition definition) throws TransactionException {
		System.out.println("GETTING STATUS");
		return implementation.getTransaction(definition);
	}

	/* (non-Javadoc)
	 * @see org.springframework.transaction.PlatformTransactionManager#rollback(org.springframework.transaction.TransactionStatus)
	 */
	public void rollback(TransactionStatus status) throws TransactionException {
		System.out.println("DOING ROLLBACK "+ status);
		implementation.rollback(status);
	}

}
