/**
 * 
 */
package facture.business;

import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Transactional;

import facture.dao.ArticleDAO;
import facture.modele.Article;

/**
 * @author rosmord
 *
 */

@Transactional
public class RealFacturationFacade implements FacturationFacade {

	private ArticleDAO articleDAO;
	
	/* (non-Javadoc)
	 * @see facture.business.FacturationFacade#saveArticle(facture.modele.Article)
	 */
	public void saveArticle(Article a) {
		if (a.getId() == -1) {
			a.setId(articleDAO.getNextId());
			articleDAO.createArticle(a);
		} else {
			articleDAO.updateArticle(a);
		}
	}

	@Transactional(readOnly= true)
	public Article getArticle(int i) {
		return articleDAO.findArticleById(i);
		
	}

	public ArticleDAO getArticleDAO() {
		return articleDAO;
	}

	public void setArticleDAO(ArticleDAO articleDAO) {
		this.articleDAO = articleDAO;
	}
	
	
}
